# parameters for the heat equation in 1D
## \partial_t u = \alpha \partial^2_{xx} u + f(t,x)

## initial datum: constant
## boundary data: constant
## convergence to stationary solution
## better DIRICHLET

## physical parameters
xMin = -5.  # x minimmal
xMax = 5.  # x maximal
tMin = 0.  # t minimal
tMax = 8. # t maximal
uMin = 0. # u minimal (for the graph only)
uMax = 1.2 # u maximal (for the graph only)

## numerical parameters
nx = 8000 # number of x points
ttp = numpy.linspace(tMin, tMax, 201) # times to plot


## Equation coefficients
## coefficient
alpha = 1.

## source
def F(t,x,u): # output same size as x
    return u * (1. - u)

## Data
## datum at t = tMin
def Initial(x):
    x2 = x * x
    return (1. - x2) * (x2 < 1)

## datum at x = xMin
def Left(t):
    return 0.

## datum at x = xMax
def Right(t):
    return 0.

keep_npz = False
keep_png = True
keep_avi = True
